<!-- This example requires Tailwind CSS v2.0+ -->
<template>
<div class="flex justify-center">
  <nav aria-label="Page navigation example">
    <ul class="flex list-style-none">
      <li class="page-item  mr-3">
     
          <div
           v-if="pageNumber==1 || totalPages==0"
          class=" relative block py-1.5 px-3 rounded border-0 bg-transparent outline-none transition-all duration-300 rounded text-gray-400  focus:shadow-none"
           aria-disabled="true">Previous Page</div>
              <button
        v-else
          class="page-link relative block py-1.5 px-3 rounded border-0 bg-transparent outline-none transition-all duration-300 rounded text-gray-800 hover:text-gray-800 hover:bg-gray-200 focus:shadow-none"
          @click="toPrevpage()" aria-disabled="true">Previous Page</button>
          
          
          </li>
      <li class="bg-gray-500" style="width:1px; heigth:40px "></li>
      <li class="page-item ml-3" :class="{'disabled': pageNumber==totalPages}">
        
           <div
           v-if="pageNumber==totalPages || totalPages==0"
          class=" relative block py-1.5 px-3 rounded border-0 bg-transparent outline-none transition-all duration-300 rounded text-gray-400  focus:shadow-none"
           aria-disabled="true">Next Page</div>
        
        <button
        v-else
          class="page-link relative block py-1.5 px-3 rounded border-0 bg-transparent outline-none transition-all duration-300 rounded text-gray-800 hover:text-gray-800 hover:bg-gray-200 focus:shadow-none"
          @click="toNextpage()">Next Page</button></li>
    </ul>
    <div class="w-full text-[#989898] text-center mt-5">

    {{`Showing results ${resultIndex}`}}
  </div>
  </nav>
  
</div>
</template>

<script>
// import MovieDataService from "../../services/MovieDataService";

export default {
  components: {},
  props: {
    resultIndex: String,
    pageNumber:Number,
    totalPages:Number

  },
  data() {
    return {
      tutorials: [],
      currentTutorial: null,
      currentIndex: -1,
      //   title: "",
      posterBaseUrl: "https://image.tmdb.org/t/p/w200",
      generes: [],
    };
  },
  methods: {
   toPrevpage(){
    this.$emit("changePage",this.pageNumber-1)
   },
   toNextpage(){
this.$emit("changePage",this.pageNumber+1)
   }
  },
};
</script>
